LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-07-2019, 12:49 AM   #1
masber
LQ Newbie
 
Registered: Apr 2019
Posts: 4

Rep: Reputation: Disabled
problems building llvm


Dear Linux community,

I am trying to build llvm but I am getting an error and I need help to understand and to know what to do with it.

Code:
: version `GLIBCXX_3.4.20' not found (required by ../../bin/llvm-tblgen): ../../bin/llvm-tblgen../../bin/llvm-tblgenversion `GLIBCXX_3.4.26' not found (required by ../../../bin/llvm-tblgen): ../../../bin/llvm-tblgenversion `GLIBCXX_3.4.21' not found (required by ../../bin/llvm-tblgen)../../../../../bin/llvm-tblgen
/lib64/libstdc++.so.6: : /lib64/libstdc++.so.6

: : ../../bin/llvm-tblgen/lib64/libstdc++.so.6/lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ../../../bin/llvm-tblgen): ../../bin/llvm-tblgen/lib64/libstdc++.so.6/lib64/libstdc++.so.6: : ../../../bin/llvm-tblgen
: : version `GLIBCXX_3.4.21' not found (required by ../../bin/llvm-tblgen): : /lib64/libstdc++.so.6version `GLIBCXX_3.4.20' not found (required by ../../bin/llvm-tblgen): ../../../bin/llvm-tblgen/lib64/libstdc++.so.6version `GLIBCXX_3.4.20' not found (required by ../../bin/llvm-tblgen)version `CXXABI_1.3.9' not found (required by ../../../../../bin/llvm-tblgen)
: version `GLIBCXX_3.4.20' not found (required by ../../../bin/llvm-tblgen)make[2]: make[2]:
: /lib64/libstdc++.so.6
: make[2]:
../../bin/llvm-tblgen:
version `GLIBCXX_3.4.21' not found (required by ../../bin/llvm-tblgen)
../../../bin/llvm-tblgen*** [tools/llvm-cvtres/Opts.inc] Error 1*** [include/llvm/IR/IntrinsicEnums.inc] Error 1/lib64/libstdc++.so.6../../bin/llvm-tblgen: ../../bin/llvm-tblgenversion `CXXABI_1.3.9' not found (required by ../../bin/llvm-tblgen)/lib64/libstdc++.so.6*** [tools/dsymutil/Options.inc] Error 1: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ../../../bin/llvm-tblgen)
../../bin/llvm-tblgen: /lib64/libstdc++.so.6:
:
version `GLIBCXX_3.4.20' not found (required by ../../../bin/llvm-tblgen):
:
../../../bin/llvm-tblgen: version `CXXABI_1.3.9' not found (required by ../../../bin/llvm-tblgen)/lib64/libstdc++.so.6
/lib64/libstdc++.so.6version `CXXABI_1.3.9' not found (required by ../../bin/llvm-tblgen): version `CXXABI_1.3.9' not found (required by ../../bin/llvm-tblgen)
: version `GLIBCXX_3.4.21' not found (required by ../../bin/llvm-tblgen)
: ../../../bin/llvm-tblgen
make[2]: /lib64/libstdc++.so.6
version `GLIBCXX_3.4.21' not found (required by ../../bin/llvm-tblgen)../../bin/llvm-tblgen: : *** Waiting for unfinished jobs....
: /lib64/libstdc++.so.6version `CXXABI_1.3.9' not found (required by ../../../bin/llvm-tblgen)
/lib64/libstdc++.so.6../../bin/llvm-tblgen:
: : version `GLIBCXX_3.4.21' not found (required by ../../../bin/llvm-tblgen)version `CXXABI_1.3.9' not found (required by ../../bin/llvm-tblgen)/lib64/libstdc++.so.6make[2]:

: *** [include/llvm/IR/IntrinsicImpl.inc] Error 1version `CXXABI_1.3.9' not found (required by ../../bin/llvm-tblgen)../../../bin/llvm-tblgen

: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ../../../bin/llvm-tblgen)
make[2]: *** [lib/ToolDrivers/llvm-lib/Options.inc] Error 1
make[1]: *** [tools/dsymutil/CMakeFiles/DsymutilTableGen.dir/all] Error 2
make[1]: *** [tools/llvm-cvtres/CMakeFiles/CvtResTableGen.dir/all] Error 2
make[1]: *** [lib/ToolDrivers/llvm-lib/CMakeFiles/LibOptionsTableGen.dir/all] Error 2
make[2]: *** [include/llvm/IR/Attributes.inc] Error 1
make[2]: *** [tools/clang/include/clang/Driver/Options.inc] Error 1
make[2]: *** [lib/IR/AttributesCompatFunc.inc] Error 1
make[2]: *** [tools/llvm-lipo/LipoOpts.inc] Error 1
make[2]: *** [lib/ToolDrivers/llvm-dlltool/Options.inc] Error 1
make[2]: *** [tools/llvm-objcopy/ObjcopyOpts.inc] Error 1
make[2]: *** [tools/llvm-rc/Opts.inc] Error 1
make[2]: *** [lib/Transforms/InstCombine/InstCombineTables.inc] Error 1
make[2]: *** [tools/llvm-mt/Opts.inc] Error 1
make[1]: *** [include/llvm/IR/CMakeFiles/intrinsics_gen.dir/all] Error 2
make[1]: *** [lib/IR/CMakeFiles/AttributeCompatFuncTableGen.dir/all] Error 2
make[1]: *** [tools/clang/include/clang/Driver/CMakeFiles/ClangDriverOptions.dir/all] Error 2
make[1]: *** [lib/ToolDrivers/llvm-dlltool/CMakeFiles/DllOptionsTableGen.dir/all] Error 2
make[1]: *** [tools/llvm-mt/CMakeFiles/MtTableGen.dir/all] Error 2
make[1]: *** [lib/Transforms/InstCombine/CMakeFiles/InstCombineTableGen.dir/all] Error 2
make[1]: *** [tools/llvm-lipo/CMakeFiles/LipoOptsTableGen.dir/all] Error 2
make[1]: *** [tools/llvm-objcopy/CMakeFiles/ObjcopyOptsTableGen.dir/all] Error 2
make[1]: *** [tools/llvm-rc/CMakeFiles/RcTableGen.dir/all] Error 2
[ 23%] Building arm_neon.h...
[ 23%] Building arm_fp16.h...
[ 23%] Building arm_mve.h...
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ../../../../bin/clang-tblgen)
make[2]: *** [tools/clang/lib/Headers/arm_neon.h] Error 1
make[2]: *** Waiting for unfinished jobs....
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by ../../../../bin/clang-tblgen)../../../../bin/clang-tblgen
: ../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ../../../../bin/clang-tblgen)
version `GLIBCXX_3.4.20' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.26' not found (required by ../../../../bin/clang-tblgen)
../../../../bin/clang-tblgen: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ../../../../bin/clang-tblgen)
make[2]: *** [tools/clang/lib/Headers/arm_mve.h] Error 1
make[2]: *** [tools/clang/lib/Headers/arm_fp16.h] Error 1
make[1]: *** [tools/clang/lib/Headers/CMakeFiles/clang-resource-headers.dir/all] Error 2
make: *** [all] Error 2
Code:
[luffy@r640-1-12-mlx build]$ which cmake
/usr/local/bin/cmake
[luffy@r640-1-12-mlx build]$ cmake --version
cmake version 3.15.5

CMake suite maintained and supported by Kitware (kitware.com/cmake).
[luffy@r640-1-12-mlx build]$
[luffy@r640-1-12-mlx build]$
[luffy@r640-1-12-mlx build]$
[luffy@r640-1-12-mlx build]$ which gcc
/usr/local/bin/gcc
[luffy@r640-1-12-mlx build]$ gcc --version
gcc (GCC) 9.2.0
Copyright (C) 2019 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
any thoughts?

thank you very much
 
  


Reply

Tags
build errors, llvm


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Building LLVM with BUILD_SHARED_LIBS=ON ninikos Slackware 12 01-23-2016 06:58 AM
LXer: Building Linux With LLVM/Clang Excites The Embedded World LXer Syndicated Linux News 0 03-10-2013 03:42 AM
llvm-config problem in slackware64-current LLVM 3.2 package teeemcee Slackware 0 01-24-2013 03:44 PM
building opencl code/program through LLVM barunparichha Linux - Software 0 06-28-2012 08:08 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:31 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration